Uploaded image for project: 'The Virtual Brain'
  1. The Virtual Brain
  2. TVB-2594

Launch of an operation from DT Overlay is no longer working

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.0.3
    • Component/s: None
    • Labels:
      None
    • Epic Link:
    • Sprint:
      VBC REST API 3
    • TVB-C Task:
      8.2 Pipeline Integration

      Description

      If i launch an analyzer through Analyzers page - > choose algo -> launch, it works, but from the TS - overlay -> tab Analyzers -> click Analyzer it does not work.

      2020-02-01 20:15:24,444 - INFO - tvb.core.services.flow_service - Starting operation PCAAdapter
      2020-02-01 20:15:24,575 - ERROR - tvb.core.services.flow_service - Could not launch operation PCAAdapter with the given set of input data!
      Traceback (most recent call last):
        File "/root/tvb-root/framework_tvb/tvb/core/services/flow_service.py", line 178, in fire_operation
          model_view=view_model, **data)
        File "/root/tvb-root/framework_tvb/tvb/core/services/operation_service.py", line 118, in initiate_operation
          {}, visible, view_model=model_view, **kwargs)[0]
        File "/root/tvb-root/framework_tvb/tvb/core/services/operation_service.py", line 259, in prepare_operations
          json.dumps({'gid': view_model.gid.hex}), meta_str,
      AttributeError: 'NoneType' object has no attribute 'gid'
      2020-02-01 20:15:24,597 - ERROR - tvb.interfaces.web.controllers.flow_controller - Error while executing a Launch procedure:'NoneType' object has no attribute 'gid'
      Traceback (most recent call last):
        File "/root/tvb-root/framework_tvb/tvb/core/services/flow_service.py", line 178, in fire_operation
          model_view=view_model, **data)
        File "/root/tvb-root/framework_tvb/tvb/core/services/operation_service.py", line 118, in initiate_operation
          {}, visible, view_model=model_view, **kwargs)[0]
        File "/root/tvb-root/framework_tvb/tvb/core/services/operation_service.py", line 259, in prepare_operations
          json.dumps({'gid': view_model.gid.hex}), meta_str,
      AttributeError: 'NoneType' object has no attribute 'gid'During handling of the above exception, another exception occurred:Traceback (most recent call last):
        File "/root/tvb-root/framework_tvb/tvb/interfaces/web/controllers/flow_controller.py", line 472, in execute_post
          project_id, view_model=view_model)
        File "/root/tvb-root/framework_tvb/tvb/core/services/flow_service.py", line 188, in fire_operation
          raise OperationException(str(excep))
      tvb.core.services.exceptions.OperationException: 'NoneType' object has no attribute 'gid' 

        Gliffy Diagrams

          Attachments

          1. screenshot-3.png
            screenshot-3.png
            31 kB
          2. screenshot-2.png
            screenshot-2.png
            16 kB
          3. screenshot-1.png
            screenshot-1.png
            10 kB

            Activity

              People

              Assignee:
              lia.domide Lia Domide
              Reporter:
              lia.domide Lia Domide
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 2 days Original Estimate - 2 days
                  2d
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 4 days, 1 hour, 30 minutes
                  4d 1h 30m